#include <stdio.h>

#include "ff_dingoo.h"

int _findfirst(char *name, ffblk *fd, int origin) {
	if(fd == NULL)
		return -1;
		
	char* tempPath = _file_path(name);
	if(tempPath == NULL)
		return -1;

	int ret = fsys_findfirst(tempPath, FSYS_FIND_FILE, fd);
	
  free(tempPath);
	
	return ret;
}

int _findnext(ffblk *fd) {
	if(fd == NULL)
		return -1;

  return fsys_findnext(fd);
}
